Package it.ernytech.tdlib

## Class TdApi.UpdateNewMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewMessage

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewMessage
    extends TdApi.Update

A new message was received; can also be an outgoing message.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `containsMention` True, if the message contains a mention of the current user.
`boolean` `disableNotification` True, if this message must not generate a notification.
`TdApi.Message` `message` The new message.

### Constructor Summary

Constructors
`UpdateNewMessage()` Default constructor.
`UpdateNewMessage​(TdApi.Message message, boolean disableNotification, boolean containsMention)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### message

    public TdApi.Message message

The new message.

#### disableNotification

    public boolean disableNotification

True, if this message must not generate a notification.

#### containsMention

    public boolean containsMention

True, if the message contains a mention of the current user.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewMessage

    public UpdateNewMessage()

Default constructor.

#### UpdateNewMessage

    public UpdateNewMessage​(TdApi.Message message,
                            boolean disableNotification,
                            boolean containsMention)

Constructor for initialization of all fields.

Parameters:
  `message` - The new message.
  `disableNotification` - True, if this message must not generate a notification.
  `containsMention` - True, if the message contains a mention of the current user.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR